Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referencePublic

Submit a public contact form inquiry

POST
/contact

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/contact" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "email": "user@example.com",    "subject": "sales",    "message": "stringstri"  }'
{
  "success": true,
  "message": "string"
}
name*string
Length2 <= length
email*string
Formatemail
company?string
subject*unknown
Value in"sales" | "support" | "demo" | "partnership" | "billing" | "sms-waitlist" | "whatsapp-waitlist" | "other"
message*string
Length10 <= length